#ifndef __VisibilityData_H
#define __VisibilityData_H

#include "OctreeCHCPrerequisites.h"

namespace OgreOctreeCHC
{
    //contains the additional data needed for the 
    // Coherent Hierarchical Culling
	class VisibilityData 
    {
        public:
            // ctor
		    VisibilityData():         	        	               
                    wasQueriedVisible (true),
                    lastQueryFrameId (0), 
                    frameID (0),
					lastplaneCulledById(0)
             {};
            //dtor
            ~VisibilityData(){};

            // Visible on screen, as certified by query result
		    bool							wasQueriedVisible;
            //last query result
		    unsigned int					lastQueryFrameId;
            //last render
			unsigned int					frameID;
			//last render
			size_t						   lastplaneCulledById;
	};
}
#endif //__VisibilityData_H